package net.sf.sido.constraint.support;

import net.sf.sido.constraint.ConstraintDefinition;

public class CustomConstraintParser implements ConstraintParser<Object> {

	@Override
	public CustomConstraint parse(ConstraintDefinition constraintDefinition) {
		String typeName = constraintDefinition.getParameter("class", true, true, null);
		try {
			@SuppressWarnings("unchecked")
			Class<CustomConstraint> type = (Class<CustomConstraint>) Class.forName(typeName);
			CustomConstraint c = type.newInstance();
			c.setDefinition(constraintDefinition);
			return c;
		} catch (Exception ex) {
			throw new DOCannotFindClassForCustomConstraintException(ex, typeName);
		}
	}

}
