package net.sf.sido.constraint.support;

import java.math.BigDecimal;

import net.sf.sido.constraint.ConstraintDefinition;
import net.sf.sido.constraint.GTConstraint;

import org.apache.commons.lang.StringUtils;

import com.google.common.base.Predicate;

public class GTConstraintParser<N extends Number> implements ConstraintParser<N> {

	@Override
	public Predicate<N> parse(ConstraintDefinition constraintDefinition) {
		String min = constraintDefinition.getParameter("min", true, false, null);
		if (StringUtils.isBlank(min)) {
			throw new DOConstraintFieldNotFoundException("min");
		} else {
			BigDecimal minValue = new BigDecimal(min);
			return new GTConstraint<N>(minValue);
		}
	}
}
