package net.sf.sido.factory.support;

import net.sf.sido.DataObject;
import net.sf.sido.DataSchema;
import net.sf.sido.DataType;
import net.sf.sido.array.Array;

public class ExtensionDefinition {

    private final DataSchema schema;
    private final DataObject sExtension;

    private ResolutionStatus status;

    private DataType type;

    public ExtensionDefinition(DataSchema schema, DataObject sExtension) {
        this.schema = schema;
        this.sExtension = sExtension;
        this.status = ResolutionStatus.PENDING;
    }

    public DataSchema getSchema() {
        return schema;
    }

    public String getTypeRef() {
        return sExtension.getString(SiDOSchema.TYPEREF);
    }

    public ResolutionStatus getStatus() {
        return status;
    }

    public Array<DataObject> getProperties() {
        return sExtension.getDOArray(SiDOSchema.PROPERTIES);
    }
}
